HasFreeSpace (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.condition, class: HasFreeSpace

Package org.apache.tools.ant.taskdefs.condition

# Class HasFreeSpace

java.lang.Object
org.apache.tools.ant.taskdefs.condition.HasFreeSpace

All Implemented Interfaces:
  `Condition`

public class HasFreeSpace extends Object implements Condition
<hasfreespace>

Condition returns true if selected partition has the requested space, false otherwise.

Since:
  Ant 1.7

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HasFreeSpace()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `eval()`
  Evaluate the condition.
  `String`
  `getNeeded()`
  The amount of free space required
  `String`
  `getPartition()`
  The partition/device to check
  `void`
  `setNeeded(String needed)`
  Set the amount of space required.
  `void`
  `setPartition(String partition)`
  Set the partition name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HasFreeSpace

    public HasFreeSpace()

- ## Method Details

  - ### eval

    public boolean eval() throws BuildException
    Evaluate the condition.
    Specified by:
      `eval` in interface `Condition`
    Returns:
      true if there enough free space.
    Throws:
      `BuildException` - if there is a problem.

  - ### getPartition

    public String getPartition()
    The partition/device to check
    Returns:
      the partition.

  - ### setPartition

    public void setPartition(String partition)
    Set the partition name.
    Parameters:
      `partition` - the name to use.

  - ### getNeeded

    public String getNeeded()
    The amount of free space required
    Returns:
      the amount required

  - ### setNeeded

    public void setNeeded(String needed)
    Set the amount of space required.
    Parameters:
      `needed` - the amount required.